#ifndef VL53L0X_H
#define VL53L0X_H

#include <cstdint>
#include "vl53l0x_def.h"

class VL53L0X
{
public:
    VL53L0X();
    ~VL53L0X();

    bool init();
    bool readRange(VL53L0X_RangingMeasurementData_t &data);
    bool stop();
    bool isOpen() const { return fd > 0; }

private:
    int fd;
};

#endif
